> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List TenantMeteringSummary items

GET https://{tenant_name}.benchling.com/api/v3/tenant-metering-summary/items

List TenantMeteringSummary items.

Reference: https://docs.benchling.com/docs/api/benchling-api/tenant-metering-summary/list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `id.anyOf` (list of string, optional) — Restricts results to those matching any of the specified IDs. Comma-separated list.
- `nextToken` (string, optional) — Token for pagination
- `omit` (list of string, optional) — Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
- `pageSize` (integer, optional) — Number of results to return. Defaults to 50, maximum of 100.
- `returning` (list of string, optional) — Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

### Headers

- `EARLY-ACCESS` (string, optional) — Set to true to access beta operations via /api/v3.

## Response

### 200

OK

- `items` (list of TenantMeteringSummary, optional)
- `nextToken` (string, optional, nullable)

## Errors

### 400 Bad Request Error

Bad Request

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 403 Forbidden Error

Forbidden

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 404 Not Found Error

Not Found

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 429 Too Many Requests Error

Too Many Requests

- `detail` (TooManyRequestsErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 500 Internal Server Error

Internal Server Error

- `detail` (InternalServerErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `errorId` (string, optional)

## Types

### TenantMeteringSummary

A mix of database and metering information for the tenant as a whole. Implicitly refers to Benchling credits ("AI" credits).

- `__typename` (string, optional)
- `balance` (double, optional) — Number of credits remaining in the current granted amount.
- `grantedAmount` (double, optional) — Total credits granted to the tenant.
- `hasEntitlement` (boolean, optional) — Whether the tenant has a Benchling credit entitlement. When false, `balance`, `usage`, `overage`, and `grantedAmount` are all zero.
- `id` (string, optional)
- `isUserCreditEnforcementEnabled` (boolean, optional) — Tenant-wide enforcement setting.
- `monthlyCreditLimit` (integer, optional, nullable) — The monthly credit limit applied to each user tenant-wide. Equals `tenantCreditLimit.monthlyLimit` when the tenant has a tenant-wide limit; otherwise the default limit. Null when per-user credit limits are not enabled for the tenant.
- `overage` (double, optional) — Excess credits that have been consumed by the tenant, possibly to be billed.
- `tenantCreditLimit` (CreditLimitRef, optional, nullable) — The credit limit for the tenant as a whole, if there is one.
- `usage` (double, optional) — How many credits the tenant has used in the past period.

### GeneralErrorDetail

- string
- map from string to any

### TooManyRequestsErrorDetail

- string
- map from string to any

### InternalServerErrorDetail

- string
- map from string to any

### CreditLimitRef

- `__typename` (string, optional)
- `id` (string, optional)

## Examples

**Response**

```json
{
  "items": [
    {
      "__typename": "string",
      "balance": 1.1,
      "grantedAmount": 1.1,
      "hasEntitlement": true,
      "id": "string",
      "isUserCreditEnforcementEnabled": true,
      "monthlyCreditLimit": null,
      "overage": 1.1,
      "tenantCreditLimit": {
        "__typename": "string",
        "id": "string"
      },
      "usage": 1.1
    }
  ],
  "nextToken": "string"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v3/tenant-metering-summary/items"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v3/tenant-metering-summary/items';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```